Name:           python-astropy
Version:        7.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Astronomy and astrophysics core library

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://www.astropy.org/
Source:         %{pypi_source astropy}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'astropy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-astropy
Summary:        %{summary}

%description -n python3-astropy %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-astropy all,dev,dev-all,docs,ipython,jupyter,recommended,test,test-all,typing


%prep
%autosetup -p1 -n astropy-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,dev,dev-all,docs,ipython,jupyter,recommended,test,test-all,typing


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-astropy -f %{pyproject_files}


%changelog
%autochangelog